Subject: Re: linux-next: build failure after merge of the bpf-next tree

From: Tejun Heo <[email-masked]>
Date: Wed, 27 May 2026 09:27:37 -1000

On Wed, May 27, 2026 at 02:24:49PM +0100, Mark Brown wrote:
> On Tue, May 26, 2026 at 03:08:06PM -0700, Alexei Starovoitov wrote:
> 
> > thoughts on the best way to fix it ?
> > Pls send it to bpf-next. I think it's fine for it to be in one tree only.
> 
> That's fine from a -next point of view since bpf gets merged first,
> you'll also need to ensure that the sched_ext stuff doesn't get sent to
> Linus until the bpf changes have landed or flag the dependency up to
> him.

Just sent the fix patch for bpf-next. And, yeah, flagging the merge order is
what I usually do.

Thanks.

-- 
tejun